Source

fsnix / doc / source / fsnix-fslib.rst

fsnix.fslib - Low Level Wrappers

This module exposes the lowest level functions and system calls. It it written in C and requires CPython 2.x compatible API to compile. If something here is under-documented you should be able to refer to the manpages on your system for details. Like the :mod:`os` module error codes are raised as exceptions with errno's assigned.

Anywhere we can mimic the spirit of :mod:`os` we do, while at the same time trying to minimize deviations from the low level C-API.

Module API

Constants